Package org.apache.sysds.runtime.compress.workload

## Class OpMetadata

- java.lang.Object
- - org.apache.sysds.runtime.compress.workload.Op
  - - org.apache.sysds.runtime.compress.workload.OpMetadata

    public class OpMetadata
    extends Op

### Constructor Summary

Constructors
`OpMetadata​(Hop op, Hop parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Hop` `getParent()`

### Methods inherited from class org.apache.sysds.runtime.compress.workload.Op

`dim, getHop, isCompressedOutput, isDecompressing, isDensifying, isOverlapping, setDecompressing, setDensifying, setOverlapping, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OpMetadata

    public OpMetadata​(Hop op,
                      Hop parent)

### Method Detail

#### getParent

    public Hop getParent()